Package com.io7m.idstore.model

# Enum Class IdEmailVerificationOperation

java.lang.Object
java.lang.Enum<IdEmailVerificationOperation>
com.io7m.idstore.model.IdEmailVerificationOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<IdEmailVerificationOperation>`, `Constable`

public enum IdEmailVerificationOperation extends Enum<IdEmailVerificationOperation>
An operation that should occur after an email address is verified.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EMAIL_ADD`
  The email address should be added to the associated user/admin.
  `EMAIL_REMOVE`
  The email address should be removed from the associated user/admin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdEmailVerificationOperation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IdEmailVerificationOperation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EMAIL_ADD

    public static final IdEmailVerificationOperation EMAIL_ADD
    The email address should be added to the associated user/admin.

  - ### EMAIL_REMOVE

    public static final IdEmailVerificationOperation EMAIL_REMOVE
    The email address should be removed from the associated user/admin.

- ## Method Details

  - ### values

    public static IdEmailVerificationOperation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IdEmailVerificationOperation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null